<?php
	//引入语言包
	$g_langpackage=new grouplp;
	
	//引入公共模块
	require("foundation/module_group.php");
	
	$role='';
	$user_id=get_sess_userid();
	$group_id=short_check(get_argg('group_id'));
	
	//数据表定义区
	$t_groups=$tablePreStr."groups";
	$t_users=$tablePreStr."users";
	$t_group_members=$tablePreStr."group_members";
	$t_group_type=$tablePreStr."group_type";
	$text_join_type='';
	
	//定义读操作
	dbtarget('r',$dbServs);
	$dbo=new dbex();
	
	//权限判断
	$role=pri_limit($dbo,$user_id,$group_id);
	if(!isset($role)||$role>=2){
		echo "<script type='text/javascript'>alert(\"$g_langpackage->g_no_privilege\");window.history.go(-1);</script>";exit();
	}
	
	$group_row=get_group_info($dbo,$t_groups,$group_id);
	
	//群组加入方式预订
  $text_join_type=join_type($group_row['group_join_type']);

?>
